Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.cim
Class CIMTransportException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.sun.wbem.cim.CIMException
                        |
                        +--com.sun.wbem.cim.CIMTransportException

public class CIMTransportException
extends CIMException

Thrown when errors related to the communication between clients and CIM object manager occur.

Since:
  WBEM 1.0
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `NO_CIMOM` cimom not found exception
`static java.lang.String` | `TIMED_OUT` cimom connection timed out.
`static java.lang.String` | `UNKNOWN_HOST` unknown host exception

Fields inherited from class com.sun.wbem.cim.CIMException
`CIM_ERR_ALREADY_EXISTS, CIM_ERR_CLASS_HAS_CHILDREN, CIM_ERR_CLASS_HAS_INSTANCES, CIM_ERR_FAILED, CIM_ERR_INVALID_CLASS, CIM_ERR_INVALID_NAMESPACE, CIM_ERR_INVALID_PARAMETER, CIM_ERR_INVALID_QUERY, CIM_ERR_LOW_ON_MEMORY, CIM_ERR_NOT_FOUND, CIM_ERR_NOT_SUPPORTED, DEFAULT, PDEFAULT, VER_ERROR`

Constructor Summary
`CIMTransportException()` Creates a CIMTransportException with no detail message.
`CIMTransportException(java.lang.String s)` Creates a CIMTransportException with the specified detail message
`CIMTransportException(java.lang.String s, java.lang.Object param)` Creates a CIMTransportException with the specified detail message and one exception parameter
`CIMTransportException(java.lang.String s, java.lang.Object[] param)` Creates a CIMTransportException with the specified detail message and an array of exception parameters.
`CIMTransportException(java.lang.String s, java.lang.Object param1, java.lang.Object param2)` Creates a CIMTransportException with the specified detail message and two exception parameters.
`CIMTransportException(java.lang.String s, java.lang.Object param1, java.lang.Object param2, java.lang.Object param3)` Creates a CIMTransportException with the specified detail message and three exception parameters.

Methods inherited from class com.sun.wbem.cim.CIMException
`getID, getParams, getXmlCode, getXmlCode, isXmlCode, setParams, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNKNOWN_HOST

    public static final java.lang.String UNKNOWN_HOST

  unknown host exception

### NO_CIMOM

    public static final java.lang.String NO_CIMOM

  cimom not found exception

### TIMED_OUT

    public static final java.lang.String TIMED_OUT

  cimom connection timed out.

Constructor Detail

### CIMTransportException

    public CIMTransportException()

  Creates a CIMTransportException with no detail message.

### CIMTransportException

    public CIMTransportException(java.lang.String s)

  Creates a CIMTransportException with the specified detail message
  Parameters:
    `s` - the detail message.

### CIMTransportException

    public CIMTransportException(java.lang.String s,
                                 java.lang.Object param)

  Creates a CIMTransportException with the specified detail message and one exception parameter
  Parameters:
    `s` - the detail message.
    `param` - exception parameter.

### CIMTransportException

    public CIMTransportException(java.lang.String s,
                                 java.lang.Object param1,
                                 java.lang.Object param2)

  Creates a CIMTransportException with the specified detail message and two exception parameters.
  Parameters:
    `s` - the detail message.
    `param1` - first Exception parameter.
    `param2` - second Exception parameter.

### CIMTransportException

    public CIMTransportException(java.lang.String s,
                                 java.lang.Object param1,
                                 java.lang.Object param2,
                                 java.lang.Object param3)

  Creates a CIMTransportException with the specified detail message and three exception parameters.
  Parameters:
    `s` - the detail message.
    `param1` - first Exception parameter.
    `param2` - second Exception parameter.
    `param3` - third Exception parameter.

### CIMTransportException

    public CIMTransportException(java.lang.String s,
                                 java.lang.Object[] param)

  Creates a CIMTransportException with the specified detail message and an array of exception parameters.
  Parameters:
    `s` - the detail message.
    `param` - array of exception parameters

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD